package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SalaryBagCollection extends AbstractObjectCollection 
{
    public SalaryBagCollection()
    {
        super(SalaryBagInfo.class);
    }
    public boolean add(SalaryBagInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SalaryBagCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SalaryBagInfo item)
    {
        return removeObject(item);
    }
    public SalaryBagInfo get(int index)
    {
        return(SalaryBagInfo)getObject(index);
    }
    public SalaryBagInfo get(Object key)
    {
        return(SalaryBagInfo)getObject(key);
    }
    public void set(int index, SalaryBagInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SalaryBagInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SalaryBagInfo item)
    {
        return super.indexOf(item);
    }
}